	//
	// GTeclado.CPP
	//
	// Implementacin de los mtodos de la clase GTeclado
	//
	// 26 Mayo 1992
	//

#include <conio.h>  // Para poder utilizar la funciones de E/S mejorada

#include "GTeclado.Hpp"  // Definicin de la clase

unsigned GTeclado::Explora()   // Explora el teclado, si hay una pulsacin
			       // la devuelve, en otro caso devuelve NADA
 {
	if( ! kbhit() )  // Si no hay pulsacin

		return NADA ;

	return Recoge() ;  // Recoger la pulsacin y devolver el cdigo
 }

unsigned GTeclado::Recoge() // Recoge una pulsacin esperando si es necesario
 {
	unsigned Pulsacion = getch() ;	// Tomar la pulsacin que hay en el buffer

	if( ! Pulsacion )  // Si es una tecla extendida

		Pulsacion = 0x100 + getch() ; // componer cdigo especial

	return Pulsacion ;
 }

void GTeclado::Limpia() // Extrae todas las pulsaciones que haya en el buffer
 {
	while( Explora() ) // Mientras haya cdigos extrae,

		; // sin hacer nada ms
 }
