
	//
	// GVentaGr.Cpp
	//
	// Implementacin de los mtodos correspondientes a la clase
	// GESGrafico
	//
	// 7 Septiembre 1992
	//

#include <graphics.h>

#include "GVentaGr.Hpp"
#include "GRaton.Hpp"

	//
	// Mtodo : Actualiza
	//
	// Realiza la salida de una zona de la pantalla
	//

void GESGrafico::Actualiza( Area & Z )
 {
	GRaton Raton ;

	Raton . OcultaCursor() ; // Ocultar el cursor del ratn

	   // Hay que actualizar carcter a carcter

	for( int I = Z . LinS ; I <= Z . LinI ; I++ )

		for( int J = Z . ColI ; J <= Z . ColD ; J++ )
		 {
			char S[2] ; // Para formar cadena

			S[0] = *( Pantalla + (I-1) * 160 + (J-1) * 2 ) ;
			S[1] = 0 ;

				// Se fija el color de fondo del carcter

			setfillstyle( SOLID_FILL,
			   *( Pantalla + (I-1) * 160 + (J-1) * 2 + 1 ) >> 4 ) ;

			   // Se limpia el fondo del carcter con ese color

			bar( (J-1) * textwidth( "X" ), (I-1) * textheight( "X" ),
				 (J-1) * textwidth( "X" ) + textwidth( "X" ) - 1,
				 (I-1) * textheight( "X" ) + textheight( "X" ) - 1 ) ;

				// Se fija el color del carcter

			setcolor( *( Pantalla + (I-1) * 160 + (J-1) * 2 + 1 ) & 15 ) ;

				// Se imprime el carcter

			outtextxy( (J-1) * textwidth( "X" ), (I-1) * textheight( "X" ), S ) ;
		 }

	Raton . MuestraCursor() ; // Vuelve a mostrarlo
 }

	//
	// Mtodo : PosCursor
	//
	// Fija el cursor en una determinada posicin de una ventana
	//

void GESGrafico::PosCursor( int, int )
 {
 }

	//
	// Mtodo : AspCursor
	//
	// Modifica el aspecto del cursor en pantalla grfica
	//

void GESGrafico::AspCursor( GVenBuf::TipoCursor )
 {
 }

