/*******************************************************************************
 *------------------------------------------------------------------------------
 *
 *	FICHERO:
 *		GVIEW.HPP
 *
 *------------------------------------------------------------------------------
 ******************************************************************************/
/*******************************************************************************
 *------------------------------------------------------------------------------
 *
 * 	PROFILE INFORMATION:
 *
 * 	OBJECT MODIFICATION DATE:
 *		Mon May 06 10:33:20 1996
 *
 *------------------------------------------------------------------------------
 ******************************************************************************/
#ifndef _GVIEW_HPP_
#define _GVIEW_HPP_


#ifndef __cplusplus
#error No se puede utilizar Grafi3D en C
#endif


/*******************************************************************************
 *
 *	INCLUDES:
 *
 ******************************************************************************/
	// Si el modelo de memoria seleccionado permite varios segmentos de datos
	// habr que utilizar las versiones far de algunas funciones

#if defined(__LARGE__) || defined(__HUGE__) || defined(__COMPACT__)

	#define istrcpy( orig, dest )	_fstrcpy( (orig), (dest) )
	#define istrcmp( orig, dest )	_fstrcmp( (orig), (dest) )
	#define istrcat( orig, dest )	_fstrcat( (orig), (dest) )

#else

	#define istrcpy( orig, dest )	strcpy( (orig), (dest) )
	#define istrcmp( orig, dest )	strcmp( (orig), (dest) )
	#define istrcat( orig, dest )	strcat( (orig), (dest) )

#endif


/*******************************************************************************
 *
 *	DEFINES:
 *
 ******************************************************************************/


/*******************************************************************************
 *
 *	PROTOTIPOS:
 *
 ******************************************************************************/
void Modo( char mod );
int ViewPCX( char *filename );

/*******************************************************************************
 *
 *	CLASS:
 *
 ******************************************************************************/

#endif // _GVIEW_HPP_

/*******************************************************************************
 *------------------------------------------------------------------------------
 *
 *	FIN DE FICHERO
 *
 *------------------------------------------------------------------------------
 ******************************************************************************/

